'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Empty state: Simple component for onboarding users to sections with no data.
 */
var EmptyState = function EmptyState(_ref) {
  var title = _ref.title,
      description = _ref.description,
      iconCode = _ref.iconCode,
      image = _ref.image,
      children = _ref.children;
  return _react2.default.createElement(
    'div',
    { className: 'a0r-empty-state' },
    _react2.default.createElement(
      'h2',
      { className: 'a0r-empty-state-title' },
      title
    ),
    image || _react2.default.createElement(
      'div',
      { className: 'a0r-empty-state-icon' },
      _react2.default.createElement('i', { className: 'icon-budicon-' + iconCode })
    ),
    description && _react2.default.createElement(
      'p',
      { className: 'a0r-empty-state-description' },
      description
    ),
    _react2.default.createElement(
      'div',
      { className: 'a0r-empty-state-children' },
      ' ',
      children,
      ' '
    )
  );
};

EmptyState.defaultProps = {
  iconCode: '750',
  image: false,
  children: undefined
};

EmptyState.propTypes = {
  title: _propTypes2.default.string.isRequired,
  description: _propTypes2.default.string.isRequired,
  iconCode: _propTypes2.default.string,
  image: _propTypes2.default.node,
  children: _propTypes2.default.node
};

exports.default = EmptyState;