'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Select: Drop-down list.
 */
var Select = function Select(_ref) {
  var options = _ref.options,
      selected = _ref.selected,
      label = _ref.label,
      color = _ref.color,
      handleChange = _ref.handleChange;
  return _react2.default.createElement(
    'div',
    { className: 'a0r-select' },
    label && _react2.default.createElement(
      'span',
      null,
      label
    ),
    _react2.default.createElement(
      'span',
      { className: 'a0r-value text-truncate', style: { color: color } },
      options[selected].label
    ),
    _react2.default.createElement('i', { className: 'icon-budicon-460' }),
    _react2.default.createElement(
      'select',
      {
        // Pass event and selected option object to onChange handler
        onChange: function onChange(e) {
          return handleChange(e, options.filter(function (opt) {
            return opt.value === e.target.value;
          })[0]);
        },
        value: options[selected].value
      },
      options.map(function (opt) {
        return _react2.default.createElement(
          'option',
          { key: opt.value, value: opt.value },
          opt.label
        );
      })
    )
  );
};

Select.defaultProps = {
  selected: 0,
  label: '',
  handleChange: function handleChange() {},
  color: undefined
};

Select.propTypes = {
  /**
   * List of options
   */
  options: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    label: _propTypes2.default.string.isRequired,
    value: _propTypes2.default.string.isRequired
  })).isRequired,
  /**
   * Index of default selected value
   */
  selected: _propTypes2.default.number,
  /**
   * Handler for option change, it receives two parameters:
   * the event and the selected option object.
   */
  handleChange: _propTypes2.default.func.isRequired,
  label: _propTypes2.default.string,
  color: _propTypes2.default.string
};

exports.default = Select;